From c2d0e0f9d82e4115cb9508c82ca65059295adedf Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Fri, 13 Dec 2019 15:58:24 +0100
Subject: [PATCH 1/4] misc: black (#29209)

---
 .../sync_desks_timeperiod_exceptions.py       |   3 +-
 chrono/agendas/migrations/0001_initial.py     |  14 +-
 chrono/agendas/migrations/0002_event.py       |  11 +-
 chrono/agendas/migrations/0003_booking.py     |  10 +-
 .../0004_booking_cancellation_datetime.py     |   2 +-
 chrono/agendas/migrations/0005_event_label.py |   8 +-
 .../migrations/0006_auto_20160707_1357.py     |  17 +-
 .../migrations/0007_auto_20160722_1135.py     |   4 +-
 .../migrations/0008_auto_20160910_1319.py     |  41 +-
 .../migrations/0010_auto_20160918_1250.py     |  23 +-
 .../migrations/0013_auto_20161028_1603.py     |   4 +-
 .../0014_booking_primary_booking.py           |   7 +-
 .../migrations/0015_auto_20170628_1137.py     |  12 +-
 chrono/agendas/migrations/0016_desk.py        |   9 +-
 .../migrations/0017_timeperiod_desk.py        |   8 +-
 chrono/agendas/migrations/0018_event_desk.py  |   5 +-
 .../migrations/0019_timeperiodexception.py    |  14 +-
 .../migrations/0020_auto_20171102_1021.py     |   7 +-
 .../migrations/0021_auto_20171126_1330.py     |  14 +-
 .../migrations/0022_auto_20171202_1828.py     |   4 +-
 .../migrations/0023_auto_20171202_1835.py     |   4 +-
 .../migrations/0024_auto_20180426_1127.py     |   5 +-
 .../migrations/0025_auto_20181206_1252.py     |  22 +-
 .../migrations/0027_event_description.py      |   4 +-
 chrono/agendas/migrations/0028_event_slug.py  |   4 +-
 .../migrations/0029_auto_20191106_1320.py     |   4 +-
 .../migrations/0030_auto_20191107_1200.py     |   6 +-
 .../migrations/0031_auto_20191107_1225.py     |  10 +-
 .../migrations/0032_auto_20191127_0919.py     |   9 +-
 chrono/agendas/models.py                      | 212 +++---
 chrono/api/urls.py                            |  49 +-
 chrono/api/views.py                           | 410 +++++++-----
 chrono/interval.py                            |   1 +
 chrono/manager/forms.py                       | 107 +--
 .../management/commands/export_site.py        |   4 +-
 .../management/commands/import_site.py        |  25 +-
 chrono/manager/urls.py                        | 153 +++--
 chrono/manager/views.py                       | 304 ++++++---
 chrono/manager/widgets.py                     |  46 +-
 chrono/settings.py                            |  16 +-
 chrono/urls.py                                |   9 +-
 chrono/urls_utils.py                          |   3 +-
 chrono/views.py                               |   6 +-
 chrono/wsgi.py                                |   5 +-
 tests/conftest.py                             |   3 +-
 tests/test_agendas.py                         |  85 ++-
 tests/test_api.py                             | 615 ++++++++++++------
 tests/test_api_utils.py                       |  17 +-
 tests/test_data_migrations.py                 |  44 +-
 tests/test_import_export.py                   |  33 +-
 tests/test_manager.py                         | 346 ++++++----
 tests/test_misc.py                            |   1 +
 tests/test_sso.py                             |   3 +-
 tests/test_time_periods.py                    | 162 +++--
 54 files changed, 1801 insertions(+), 1143 deletions(-)

diff --git a/chrono/agendas/migrations/0001_initial.py b/chrono/agendas/migrations/0001_initial.py
index f6a07cb..450e411 100644
--- a/chrono/agendas/migrations/0001_initial.py
+++ b/chrono/agendas/migrations/0001_initial.py
@@ -1,25 +1,25 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
-    dependencies = [
-    ]
+    dependencies = []
 
     operations = [
         migrations.CreateModel(
             name='Agenda',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
                 ('label', models.CharField(max_length=50, verbose_name='Label')),
                 ('slug', models.SlugField(verbose_name='Identifier')),
             ],
-            options={
-                'ordering': ['label'],
-            },
+            options={'ordering': ['label'],},
             bases=(models.Model,),
         ),
     ]
diff --git a/chrono/agendas/migrations/0002_event.py b/chrono/agendas/migrations/0002_event.py
index 368b50a..c9f243b 100644
--- a/chrono/agendas/migrations/0002_event.py
+++ b/chrono/agendas/migrations/0002_event.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
@@ -14,14 +14,15 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='Event',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
                 ('start_datetime', models.DateTimeField(verbose_name='Date/time')),
                 ('places', models.PositiveIntegerField(verbose_name='Places')),
                 ('agenda', models.ForeignKey(to='agendas.Agenda', on_delete=models.CASCADE)),
             ],
-            options={
-                'ordering': ['agenda', 'start_datetime'],
-            },
+            options={'ordering': ['agenda', 'start_datetime'],},
             bases=(models.Model,),
         ),
     ]
diff --git a/chrono/agendas/migrations/0003_booking.py b/chrono/agendas/migrations/0003_booking.py
index c890aba..5ea140f 100644
--- a/chrono/agendas/migrations/0003_booking.py
+++ b/chrono/agendas/migrations/0003_booking.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import jsonfield.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
@@ -15,12 +15,14 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='Booking',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
                 ('extra_data', jsonfield.fields.JSONField(null=True)),
                 ('event', models.ForeignKey(to='agendas.Event', on_delete=models.CASCADE)),
             ],
-            options={
-            },
+            options={},
             bases=(models.Model,),
         ),
     ]
diff --git a/chrono/agendas/migrations/0004_booking_cancellation_datetime.py b/chrono/agendas/migrations/0004_booking_cancellation_datetime.py
index 2eac49c..d5d3fbc 100644
--- a/chrono/agendas/migrations/0004_booking_cancellation_datetime.py
+++ b/chrono/agendas/migrations/0004_booking_cancellation_datetime.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/chrono/agendas/migrations/0005_event_label.py b/chrono/agendas/migrations/0005_event_label.py
index 56dfe49..b6f80b4 100644
--- a/chrono/agendas/migrations/0005_event_label.py
+++ b/chrono/agendas/migrations/0005_event_label.py
@@ -14,6 +14,12 @@ class Migration(migrations.Migration):
         migrations.AddField(
             model_name='event',
             name='label',
-            field=models.CharField(help_text='Optional label to identify this date.', max_length=50, null=True, blank=True, verbose_name='Label'),
+            field=models.CharField(
+                help_text='Optional label to identify this date.',
+                max_length=50,
+                null=True,
+                blank=True,
+                verbose_name='Label',
+            ),
         ),
     ]
diff --git a/chrono/agendas/migrations/0006_auto_20160707_1357.py b/chrono/agendas/migrations/0006_auto_20160707_1357.py
index 87597e7..42a4c63 100644
--- a/chrono/agendas/migrations/0006_auto_20160707_1357.py
+++ b/chrono/agendas/migrations/0006_auto_20160707_1357.py
@@ -1,8 +1,9 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import migrations, models
 import datetime
+
+from django.db import migrations, models
 from django.utils.timezone import utc
 
 
@@ -16,19 +17,15 @@ class Migration(migrations.Migration):
         migrations.AddField(
             model_name='booking',
             name='creation_datetime',
-            field=models.DateTimeField(default=datetime.datetime(2016, 7, 7, 13, 57, 47, 975893, tzinfo=utc), auto_now_add=True),
+            field=models.DateTimeField(
+                default=datetime.datetime(2016, 7, 7, 13, 57, 47, 975893, tzinfo=utc), auto_now_add=True
+            ),
             preserve_default=False,
         ),
         migrations.AddField(
-            model_name='booking',
-            name='in_waiting_list',
-            field=models.BooleanField(default=False),
-        ),
-        migrations.AddField(
-            model_name='event',
-            name='full',
-            field=models.BooleanField(default=False),
+            model_name='booking', name='in_waiting_list', field=models.BooleanField(default=False),
         ),
+        migrations.AddField(model_name='event', name='full', field=models.BooleanField(default=False),),
         migrations.AddField(
             model_name='event',
             name='waiting_list_places',
diff --git a/chrono/agendas/migrations/0007_auto_20160722_1135.py b/chrono/agendas/migrations/0007_auto_20160722_1135.py
index eadaf23..5329a80 100644
--- a/chrono/agendas/migrations/0007_auto_20160722_1135.py
+++ b/chrono/agendas/migrations/0007_auto_20160722_1135.py
@@ -12,8 +12,6 @@ class Migration(migrations.Migration):
 
     operations = [
         migrations.AlterField(
-            model_name='agenda',
-            name='label',
-            field=models.CharField(max_length=100, verbose_name='Label'),
+            model_name='agenda', name='label', field=models.CharField(max_length=100, verbose_name='Label'),
         ),
     ]
diff --git a/chrono/agendas/migrations/0008_auto_20160910_1319.py b/chrono/agendas/migrations/0008_auto_20160910_1319.py
index 3ea66b3..0aa24e7 100644
--- a/chrono/agendas/migrations/0008_auto_20160910_1319.py
+++ b/chrono/agendas/migrations/0008_auto_20160910_1319.py
@@ -14,30 +14,51 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='MeetingType',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
                 ('label', models.CharField(max_length=100, verbose_name='Label')),
                 ('duration', models.IntegerField(default=30, verbose_name='Duration (in minutes)')),
             ],
-            options={
-                'ordering': ['label'],
-            },
+            options={'ordering': ['label'],},
         ),
         migrations.CreateModel(
             name='TimePeriod',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
-                ('weekday', models.IntegerField(verbose_name='Week day', choices=[(0, 'Monday'), (1, 'Tuesday'), (2, 'Wednesday'), (3, 'Thursday'), (4, 'Friday'), (5, 'Saturday'), (6, 'Sunday')])),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
+                (
+                    'weekday',
+                    models.IntegerField(
+                        verbose_name='Week day',
+                        choices=[
+                            (0, 'Monday'),
+                            (1, 'Tuesday'),
+                            (2, 'Wednesday'),
+                            (3, 'Thursday'),
+                            (4, 'Friday'),
+                            (5, 'Saturday'),
+                            (6, 'Sunday'),
+                        ],
+                    ),
+                ),
                 ('start_time', models.TimeField(verbose_name='Start')),
                 ('end_time', models.TimeField(verbose_name='End')),
             ],
-            options={
-                'ordering': ['weekday', 'start_time'],
-            },
+            options={'ordering': ['weekday', 'start_time'],},
         ),
         migrations.AddField(
             model_name='agenda',
             name='kind',
-            field=models.CharField(default=b'events', max_length=20, verbose_name='Kind', choices=[(b'events', 'Events'), (b'meetings', 'Meetings')]),
+            field=models.CharField(
+                default=b'events',
+                max_length=20,
+                verbose_name='Kind',
+                choices=[(b'events', 'Events'), (b'meetings', 'Meetings')],
+            ),
         ),
         migrations.AddField(
             model_name='timeperiod',
diff --git a/chrono/agendas/migrations/0010_auto_20160918_1250.py b/chrono/agendas/migrations/0010_auto_20160918_1250.py
index d92977e..449bdba 100644
--- a/chrono/agendas/migrations/0010_auto_20160918_1250.py
+++ b/chrono/agendas/migrations/0010_auto_20160918_1250.py
@@ -13,17 +13,32 @@ class Migration(migrations.Migration):
 
     operations = [
         migrations.AlterModelOptions(
-            name='event',
-            options={'ordering': ['agenda', 'start_datetime', 'label']},
+            name='event', options={'ordering': ['agenda', 'start_datetime', 'label']},
         ),
         migrations.AddField(
             model_name='agenda',
             name='edit_role',
-            field=models.ForeignKey(related_name='+', default=None, verbose_name='Edit Role', to='auth.Group', blank=True, null=True, on_delete=models.CASCADE),
+            field=models.ForeignKey(
+                related_name='+',
+                default=None,
+                verbose_name='Edit Role',
+                to='auth.Group',
+                blank=True,
+                null=True,
+                on_delete=models.CASCADE,
+            ),
         ),
         migrations.AddField(
             model_name='agenda',
             name='view_role',
-            field=models.ForeignKey(related_name='+', default=None, verbose_name='View Role', to='auth.Group', blank=True, null=True, on_delete=models.CASCADE),
+            field=models.ForeignKey(
+                related_name='+',
+                default=None,
+                verbose_name='View Role',
+                to='auth.Group',
+                blank=True,
+                null=True,
+                on_delete=models.CASCADE,
+            ),
         ),
     ]
diff --git a/chrono/agendas/migrations/0013_auto_20161028_1603.py b/chrono/agendas/migrations/0013_auto_20161028_1603.py
index 456af26..8586a24 100644
--- a/chrono/agendas/migrations/0013_auto_20161028_1603.py
+++ b/chrono/agendas/migrations/0013_auto_20161028_1603.py
@@ -12,8 +12,6 @@ class Migration(migrations.Migration):
 
     operations = [
         migrations.AlterField(
-            model_name='meetingtype',
-            name='slug',
-            field=models.SlugField(verbose_name='Identifier'),
+            model_name='meetingtype', name='slug', field=models.SlugField(verbose_name='Identifier'),
         ),
     ]
diff --git a/chrono/agendas/migrations/0014_booking_primary_booking.py b/chrono/agendas/migrations/0014_booking_primary_booking.py
index 4940bb6..23fd6e2 100644
--- a/chrono/agendas/migrations/0014_booking_primary_booking.py
+++ b/chrono/agendas/migrations/0014_booking_primary_booking.py
@@ -14,6 +14,11 @@ class Migration(migrations.Migration):
         migrations.AddField(
             model_name='booking',
             name='primary_booking',
-            field=models.ForeignKey(related_name='secondary_booking_set', to='agendas.Booking', null=True, on_delete=models.CASCADE),
+            field=models.ForeignKey(
+                related_name='secondary_booking_set',
+                to='agendas.Booking',
+                null=True,
+                on_delete=models.CASCADE,
+            ),
         ),
     ]
diff --git a/chrono/agendas/migrations/0015_auto_20170628_1137.py b/chrono/agendas/migrations/0015_auto_20170628_1137.py
index fe3c410..01ba0e7 100644
--- a/chrono/agendas/migrations/0015_auto_20170628_1137.py
+++ b/chrono/agendas/migrations/0015_auto_20170628_1137.py
@@ -12,14 +12,18 @@ class Migration(migrations.Migration):
 
     operations = [
         migrations.AlterField(
-            model_name='agenda',
-            name='label',
-            field=models.CharField(max_length=150, verbose_name='Label'),
+            model_name='agenda', name='label', field=models.CharField(max_length=150, verbose_name='Label'),
         ),
         migrations.AlterField(
             model_name='event',
             name='label',
-            field=models.CharField(help_text='Optional label to identify this date.', max_length=150, null=True, verbose_name='Label', blank=True),
+            field=models.CharField(
+                help_text='Optional label to identify this date.',
+                max_length=150,
+                null=True,
+                verbose_name='Label',
+                blank=True,
+            ),
         ),
         migrations.AlterField(
             model_name='meetingtype',
diff --git a/chrono/agendas/migrations/0016_desk.py b/chrono/agendas/migrations/0016_desk.py
index 914011b..6e5fbb4 100644
--- a/chrono/agendas/migrations/0016_desk.py
+++ b/chrono/agendas/migrations/0016_desk.py
@@ -14,13 +14,14 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='Desk',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
                 ('label', models.CharField(max_length=150, verbose_name='Label')),
                 ('slug', models.SlugField(max_length=150, verbose_name='Identifier')),
                 ('agenda', models.ForeignKey(to='agendas.Agenda', on_delete=models.CASCADE)),
             ],
-            options={
-                'ordering': ['label'],
-            },
+            options={'ordering': ['label'],},
         ),
     ]
diff --git a/chrono/agendas/migrations/0017_timeperiod_desk.py b/chrono/agendas/migrations/0017_timeperiod_desk.py
index ecb47a0..77caf7a 100644
--- a/chrono/agendas/migrations/0017_timeperiod_desk.py
+++ b/chrono/agendas/migrations/0017_timeperiod_desk.py
@@ -9,7 +9,8 @@ def set_timeperiod_desk(apps, schema_editor):
     Desk = apps.get_model('agendas', 'Desk')
     for time_period in TimePeriod.objects.all():
         desk, created = Desk.objects.get_or_create(
-            label='Guichet 1', slug='guichet-1', agenda=time_period.agenda)
+            label='Guichet 1', slug='guichet-1', agenda=time_period.agenda
+        )
         time_period.desk = desk
         time_period.save()
 
@@ -36,8 +37,5 @@ class Migration(migrations.Migration):
             name='desk',
             field=models.ForeignKey(to='agendas.Desk', on_delete=models.CASCADE),
         ),
-        migrations.RemoveField(
-            model_name='timeperiod',
-            name='agenda',
-        ),
+        migrations.RemoveField(model_name='timeperiod', name='agenda',),
     ]
diff --git a/chrono/agendas/migrations/0018_event_desk.py b/chrono/agendas/migrations/0018_event_desk.py
index db08d39..86a9d77 100644
--- a/chrono/agendas/migrations/0018_event_desk.py
+++ b/chrono/agendas/migrations/0018_event_desk.py
@@ -11,8 +11,7 @@ def set_event_desk(apps, schema_editor):
         if not event.agenda.kind == 'meetings':
             continue
 
-        desk, created = Desk.objects.get_or_create(
-            label='Guichet 1', slug='guichet-1', agenda=event.agenda)
+        desk, created = Desk.objects.get_or_create(label='Guichet 1', slug='guichet-1', agenda=event.agenda)
         event.desk = desk
         event.save()
 
@@ -33,5 +32,5 @@ class Migration(migrations.Migration):
             name='desk',
             field=models.ForeignKey(to='agendas.Desk', null=True, on_delete=models.CASCADE),
         ),
-        migrations.RunPython(set_event_desk, unset_event_desk)
+        migrations.RunPython(set_event_desk, unset_event_desk),
     ]
diff --git a/chrono/agendas/migrations/0019_timeperiodexception.py b/chrono/agendas/migrations/0019_timeperiodexception.py
index 55e8d47..578d8f1 100644
--- a/chrono/agendas/migrations/0019_timeperiodexception.py
+++ b/chrono/agendas/migrations/0019_timeperiodexception.py
@@ -14,14 +14,18 @@ class Migration(migrations.Migration):
         migrations.CreateModel(
             name='TimePeriodException',
             fields=[
-                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
-                ('label', models.CharField(max_length=150, null=True, verbose_name='Optional Label', blank=True)),
+                (
+                    'id',
+                    models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True),
+                ),
+                (
+                    'label',
+                    models.CharField(max_length=150, null=True, verbose_name='Optional Label', blank=True),
+                ),
                 ('start_datetime', models.DateTimeField(verbose_name='Exception start time')),
                 ('end_datetime', models.DateTimeField(verbose_name='Exception end time')),
                 ('desk', models.ForeignKey(to='agendas.Desk', on_delete=models.CASCADE)),
             ],
-            options={
-                'ordering': ['start_datetime'],
-            },
+            options={'ordering': ['start_datetime'],},
         ),
     ]
diff --git a/chrono/agendas/migrations/0020_auto_20171102_1021.py b/chrono/agendas/migrations/0020_auto_20171102_1021.py
index 40bb940..4bdb3d4 100644
--- a/chrono/agendas/migrations/0020_auto_20171102_1021.py
+++ b/chrono/agendas/migrations/0020_auto_20171102_1021.py
@@ -1,8 +1,9 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import migrations, models
 import datetime
+
+from django.db import migrations, models
 from django.utils.timezone import utc
 
 
@@ -26,7 +27,9 @@ class Migration(migrations.Migration):
         migrations.AddField(
             model_name='timeperiodexception',
             name='update_datetime',
-            field=models.DateTimeField(default=datetime.datetime(2017, 11, 2, 10, 21, 1, 826837, tzinfo=utc), auto_now=True),
+            field=models.DateTimeField(
+                default=datetime.datetime(2017, 11, 2, 10, 21, 1, 826837, tzinfo=utc), auto_now=True
+            ),
             preserve_default=False,
         ),
     ]
diff --git a/chrono/agendas/migrations/0021_auto_20171126_1330.py b/chrono/agendas/migrations/0021_auto_20171126_1330.py
index 47b5576..439204e 100644
--- a/chrono/agendas/migrations/0021_auto_20171126_1330.py
+++ b/chrono/agendas/migrations/0021_auto_20171126_1330.py
@@ -11,19 +11,11 @@ class Migration(migrations.Migration):
     ]
 
     operations = [
+        migrations.AddField(model_name='booking', name='backoffice_url', field=models.URLField(blank=True),),
         migrations.AddField(
-            model_name='booking',
-            name='backoffice_url',
-            field=models.URLField(blank=True),
+            model_name='booking', name='label', field=models.CharField(max_length=250, blank=True),
         ),
         migrations.AddField(
-            model_name='booking',
-            name='label',
-            field=models.CharField(max_length=250, blank=True),
-        ),
-        migrations.AddField(
-            model_name='booking',
-            name='user_name',
-            field=models.CharField(max_length=250, blank=True),
+            model_name='booking', name='user_name', field=models.CharField(max_length=250, blank=True),
         ),
     ]
diff --git a/chrono/agendas/migrations/0022_auto_20171202_1828.py b/chrono/agendas/migrations/0022_auto_20171202_1828.py
index d987880..0773d48 100644
--- a/chrono/agendas/migrations/0022_auto_20171202_1828.py
+++ b/chrono/agendas/migrations/0022_auto_20171202_1828.py
@@ -17,9 +17,7 @@ class Migration(migrations.Migration):
             field=models.SlugField(max_length=160, verbose_name='Identifier'),
         ),
         migrations.AlterField(
-            model_name='desk',
-            name='slug',
-            field=models.SlugField(max_length=160, verbose_name='Identifier'),
+            model_name='desk', name='slug', field=models.SlugField(max_length=160, verbose_name='Identifier'),
         ),
         migrations.AlterField(
             model_name='meetingtype',
diff --git a/chrono/agendas/migrations/0023_auto_20171202_1835.py b/chrono/agendas/migrations/0023_auto_20171202_1835.py
index f8d7a02..b567be4 100644
--- a/chrono/agendas/migrations/0023_auto_20171202_1835.py
+++ b/chrono/agendas/migrations/0023_auto_20171202_1835.py
@@ -14,6 +14,8 @@ class Migration(migrations.Migration):
         migrations.AlterField(
             model_name='desk',
             name='timeperiod_exceptions_remote_url',
-            field=models.URLField(max_length=500, verbose_name='URL to fetch time period exceptions from', blank=True),
+            field=models.URLField(
+                max_length=500, verbose_name='URL to fetch time period exceptions from', blank=True
+            ),
         ),
     ]
diff --git a/chrono/agendas/migrations/0024_auto_20180426_1127.py b/chrono/agendas/migrations/0024_auto_20180426_1127.py
index 2ac2a19..5638943 100644
--- a/chrono/agendas/migrations/0024_auto_20180426_1127.py
+++ b/chrono/agendas/migrations/0024_auto_20180426_1127.py
@@ -12,10 +12,7 @@ class Migration(migrations.Migration):
     ]
 
     operations = [
-        migrations.AlterModelOptions(
-            name='meetingtype',
-            options={'ordering': ['duration', 'label']},
-        ),
+        migrations.AlterModelOptions(name='meetingtype', options={'ordering': ['duration', 'label']},),
         migrations.AddField(
             model_name='timeperiodexception',
             name='recurrence_id',
diff --git a/chrono/agendas/migrations/0027_event_description.py b/chrono/agendas/migrations/0027_event_description.py
index 6a1169f..8c44789 100644
--- a/chrono/agendas/migrations/0027_event_description.py
+++ b/chrono/agendas/migrations/0027_event_description.py
@@ -15,6 +15,8 @@ class Migration(migrations.Migration):
         migrations.AddField(
             model_name='event',
             name='description',
-            field=models.TextField(blank=True, help_text='Optional event description.', null=True, verbose_name='Description'),
+            field=models.TextField(
+                blank=True, help_text='Optional event description.', null=True, verbose_name='Description'
+            ),
         ),
     ]
diff --git a/chrono/agendas/migrations/0028_event_slug.py b/chrono/agendas/migrations/0028_event_slug.py
index 912b229..d9bc4c2 100644
--- a/chrono/agendas/migrations/0028_event_slug.py
+++ b/chrono/agendas/migrations/0028_event_slug.py
@@ -15,7 +15,9 @@ class Migration(migrations.Migration):
         migrations.AddField(
             model_name='event',
             name='slug',
-            field=models.SlugField(default=None, null=True, blank=True, max_length=160, verbose_name='Identifier'),
+            field=models.SlugField(
+                default=None, null=True, blank=True, max_length=160, verbose_name='Identifier'
+            ),
             preserve_default=False,
         ),
     ]
diff --git a/chrono/agendas/migrations/0029_auto_20191106_1320.py b/chrono/agendas/migrations/0029_auto_20191106_1320.py
index 78a6971..010c159 100644
--- a/chrono/agendas/migrations/0029_auto_20191106_1320.py
+++ b/chrono/agendas/migrations/0029_auto_20191106_1320.py
@@ -15,6 +15,8 @@ class Migration(migrations.Migration):
         migrations.AlterField(
             model_name='event',
             name='slug',
-            field=models.SlugField(default=None, null=True, blank=True, max_length=160, verbose_name='Identifier'),
+            field=models.SlugField(
+                default=None, null=True, blank=True, max_length=160, verbose_name='Identifier'
+            ),
         ),
     ]
diff --git a/chrono/agendas/migrations/0030_auto_20191107_1200.py b/chrono/agendas/migrations/0030_auto_20191107_1200.py
index 8e551bd..3348250 100644
--- a/chrono/agendas/migrations/0030_auto_20191107_1200.py
+++ b/chrono/agendas/migrations/0030_auto_20191107_1200.py
@@ -39,7 +39,11 @@ def set_slug_on_desks(apps, schema_editor):
 def set_slug_on_meetingtypes(apps, schema_editor):
     MeetingType = apps.get_model('agendas', 'MeetingType')
     for meetingtype in MeetingType.objects.all().order_by('-pk'):
-        if not MeetingType.objects.filter(slug=meetingtype.slug, agenda=meetingtype.agenda).exclude(pk=meetingtype.pk).exists():
+        if (
+            not MeetingType.objects.filter(slug=meetingtype.slug, agenda=meetingtype.agenda)
+            .exclude(pk=meetingtype.pk)
+            .exists()
+        ):
             continue
         meetingtype.slug = generate_slug(meetingtype, agenda=meetingtype.agenda)
         meetingtype.save(update_fields=['slug'])
diff --git a/chrono/agendas/migrations/0031_auto_20191107_1225.py b/chrono/agendas/migrations/0031_auto_20191107_1225.py
index e0c900c..e957216 100644
--- a/chrono/agendas/migrations/0031_auto_20191107_1225.py
+++ b/chrono/agendas/migrations/0031_auto_20191107_1225.py
@@ -17,12 +17,6 @@ class Migration(migrations.Migration):
             name='slug',
             field=models.SlugField(max_length=160, unique=True, verbose_name='Identifier'),
         ),
-        migrations.AlterUniqueTogether(
-            name='desk',
-            unique_together=set([('agenda', 'slug')]),
-        ),
-        migrations.AlterUniqueTogether(
-            name='meetingtype',
-            unique_together=set([('agenda', 'slug')]),
-        ),
+        migrations.AlterUniqueTogether(name='desk', unique_together=set([('agenda', 'slug')]),),
+        migrations.AlterUniqueTogether(name='meetingtype', unique_together=set([('agenda', 'slug')]),),
     ]
